Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.asynch
Interface Future

All Known Subinterfaces:
  RemotableFuture

All Known Implementing Classes:
  FutureImpl, FutureProxy

public interface Future

Comment

Version:
  $Revision: 1.3.8.4 $
Author:
  Bill Burke

Method Summary
`Object` | `get()` get result, throws Exception of method or InterruptedException
`Object` | `get(long milliseconds)` get result, throws Exception of method or InterruptedException
`boolean` | `isDone()` is the method call done?
`void` | `release()` Release this future so that it can be garbaged collected remotely This is only useful for remote asynchronous.

Method Detail

### get

    public Object get()
               throws InterruptedException,
                      InvocationTargetException

  get result, throws Exception of method or InterruptedException

  Throws:
    `InterruptedException`
    `InvocationTargetException`

### get

    public Object get(long milliseconds)
               throws TimeoutException,
                      InterruptedException,
                      InvocationTargetException

  get result, throws Exception of method or InterruptedException

  Throws:
    `TimeoutException`
    `InterruptedException`
    `InvocationTargetException`

### isDone

    public boolean isDone()

  is the method call done?

### release

    public void release()

  Release this future so that it can be garbaged collected remotely This is only useful for remote asynchronous. This is import to call especially for remote otherwise the remote future on the server will never get garbaged collected. AsynchProvider will call release if it is holding a Future already within its threadlocal when a new one is set on it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.